Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class NoOriginRetentionPolicy

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractOriginRetentionPolicy
          kieker.tools.traceAnalysis.filter.visualization.graph.NoOriginRetentionPolicy

All Implemented Interfaces:
  IOriginRetentionPolicy

    public final class NoOriginRetentionPolicy

extends AbstractOriginRetentionPolicy

The no-origin-retention policy represents the intention that no origins should be retained at all and corresponds to the kind `OriginRetentionPolicyKind.NONE`.

Since:
  1.6
Author:
  Holger Knoche

Method Summary
`static NoOriginRetentionPolicy` | `createInstance()` Factory method for the no-origin-retention policy.
`
`<T> void`
` | `handleOrigin(AbstractGraphElement<T> element, T origin)` Handles a given origin for the given graph element.
`IOriginRetentionPolicy` | `uniteWith(IOriginRetentionPolicy other)` Unites this retention policy with another one and returns the resulting policy.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.graph.AbstractOriginRetentionPolicy
`dependsOn, getKind, isCompatibleWith`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### uniteWith

    public IOriginRetentionPolicy uniteWith(IOriginRetentionPolicy other)

  Unites this retention policy with another one and returns the resulting policy. Note that the resulting policy is not necessarily one of the original policies.

  Parameters:
    `other` - The retention policy to unite this policy with
  Returns:
    The resulting policy, which may be a completely new object

### handleOrigin

    public <T> void handleOrigin(AbstractGraphElement<T> element,
                                 T origin)

  Handles a given origin for the given graph element.

  Type Parameters:
    `T` - The type of the entity within the graph element.
  Parameters:
    `element` - The graph element to handle the origin for
    `origin` - The origin to handle

### createInstance

    public static NoOriginRetentionPolicy createInstance()

  Factory method for the no-origin-retention policy.

  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net